import 'package:args/command_runner.dart';
import 'package:gust_cli/commands/build.dart';
import 'package:gust_cli/commands/run.dart';
import 'package:gust_cli/gust_cli.dart';

void main(List<String> arguments) {
  final runner = CommandRunner('gust', 'Gust - An MVC framework for Dart based on shelf');
  runner
    ..addCommand(CreateCommand())
    ..addCommand(RunCommand())
    ..addCommand(BuildCommand())
    ..run(arguments);
}
